Index: /trunk/source/Lib/TLibEncoder/TEncGOP.cpp
===================================================================
--- /trunk/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 1132)
+++ /trunk/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 1133)
@@ -880,10 +880,6 @@
 
     TComVPS*           vps = pcSlice->getVPS();     
-#if HHI_DEPENDENCY_SIGNALLING_I1_J0107
 #if H_3D
     Int numDirectRefLayers = vps    ->getNumRefListLayers( getLayerId() ); 
-#else
-    Int numDirectRefLayers = vps    ->getNumDirectRefLayers( getLayerId() ); 
-#endif
 #else
     Int numDirectRefLayers = vps    ->getNumDirectRefLayers( getLayerId() ); 
@@ -901,10 +897,6 @@
           pcSlice->setNumInterLayerRefPicsMinus1( gopEntry.m_numActiveRefLayerPics - 1 ); 
         }
-#if HHI_DEPENDENCY_SIGNALLING_I1_J0107
 #if H_3D
         if ( gopEntry.m_numActiveRefLayerPics != vps->getNumRefListLayers( getLayerId() ) )
-#else
-        if ( gopEntry.m_numActiveRefLayerPics != vps->getNumDirectRefLayers( getLayerId() ) )
-#endif
 #else
         if ( gopEntry.m_numActiveRefLayerPics != vps->getNumDirectRefLayers( getLayerId() ) )
@@ -957,23 +949,5 @@
     pcSlice->setRefPicList ( rcListPic );
 #endif
-#if !MTK_SINGLE_DEPTH_VPS_FLAG_J0060
-#if H_3D_SINGLE_DEPTH
-#if HHI_TOOL_PARAMETERS_I2_J0107
-    pcSlice->setApplySingleDepthMode( pcSlice->getIntraSingleFlag() );
-#else
-    TEncTop* pcEncTop = (TEncTop*) m_pcCfg;
-    bool enableSingleDepthMode=false;
-    if(pcEncTop->getUseSingleDepthMode())
-    {
-      if(pcSlice->getIsDepth())
-      {
-        enableSingleDepthMode=true;
-      }
-    }
-    pcSlice->setApplySingleDepthMode(enableSingleDepthMode);
-#endif
-#endif   
-#endif 
-#if SEC_ARP_VIEW_REF_CHECK_J0037 || SEC_DBBP_VIEW_REF_CHECK_J0037
+#if H_3D
     pcSlice->setDefaultRefView();
 #endif
@@ -1439,13 +1413,5 @@
         pcSlice->getSPS()->getVuiParameters()->setHrdParametersPresentFlag( true );
       }
-#if HHI_TOOL_PARAMETERS_I2_J0107
       m_pcEntropyCoder->encodeSPS(pcSlice->getSPS());
-#else
-#if !H_3D
-      m_pcEntropyCoder->encodeSPS(pcSlice->getSPS());
-#else
-      m_pcEntropyCoder->encodeSPS(pcSlice->getSPS(), pcSlice->getViewIndex(), pcSlice->getIsDepth() );
-#endif
-#endif
       writeRBSPTrailingBits(nalu.m_Bitstream);
       accessUnit.push_back(new NALUnitEBSP(nalu));
Index: /trunk/source/Lib/TLibEncoder/TEncSbac.cpp
===================================================================
--- /trunk/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 1132)
+++ /trunk/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 1133)
@@ -255,9 +255,5 @@
       curCost += m_CUTransquantBypassFlagSCModel.calcCost( curSliceType, qp, (UChar*)INIT_CU_TRANSQUANT_BYPASS_FLAG );
 #if H_3D_DIM
-#if HHI_TOOL_PARAMETERS_I2_J0107
     if( m_pcSlice->getIntraSdcWedgeFlag() || m_pcSlice->getIntraContourFlag() )
-#else
-    if( m_pcSlice->getVpsDepthModesFlag() || m_pcSlice->getIVPFlag() )
-#endif
     {
       curCost += m_cDepthIntraModeSCModel.calcCost    ( curSliceType, qp, (UChar*)INIT_DEPTH_INTRA_MODE );
@@ -350,13 +346,5 @@
 }
 
-#if HHI_TOOL_PARAMETERS_I2_J0107
 Void TEncSbac::codeSPS( TComSPS* pcSPS )
-#else
-#if H_3D
-Void TEncSbac::codeSPS( TComSPS* pcSPS, Int viewIndex, Bool depthFlag )
-#else
-Void TEncSbac::codeSPS( TComSPS* pcSPS )
-#endif
-#endif
 {
   assert (0);
@@ -633,10 +621,5 @@
   PartSize eSize         = pcCU->getPartitionSize( uiAbsPartIdx );
 #if H_3D_QTLPC
-#if HHI_TOOL_PARAMETERS_I2_J0107
   Bool    bLimQtPredFlag = pcCU->getPic()->getSlice(0)->getQtPredFlag();
-#else
-  TComVPS *vps           = pcCU->getPic()->getSlice(0)->getVPS();
-  Bool    bLimQtPredFlag = vps->getLimQtPredFlag(pcCU->getPic()->getSlice(0)->getLayerId());
-#endif
   TComPic *pcTexture     = pcCU->getSlice()->getTexturePic();
   Bool bDepthMapDetect   = (pcTexture != NULL);
@@ -1011,10 +994,5 @@
 
   
-#if HHI_TOOL_PARAMETERS_I2_J0107
   Bool    bLimQtPredFlag = pcCU->getPic()->getSlice(0)->getQtPredFlag(); 
-#else
-  TComVPS *vps           = pcCU->getPic()->getSlice(0)->getVPS();
-  Bool    bLimQtPredFlag = vps->getLimQtPredFlag(pcCU->getPic()->getSlice(0)->getLayerId());
-#endif
   TComPic *pcTexture     = pcCU->getSlice()->getTexturePic();
   Bool bDepthMapDetect   = (pcTexture != NULL);
@@ -1077,9 +1055,5 @@
     dir[j] = pcCU->getLumaIntraDir( absPartIdx+partOffset*j );
 #if H_3D_DIM
-#if HHI_TOOL_PARAMETERS_I2_J0107
     if( pcCU->getSlice()->getIntraSdcWedgeFlag() ||  pcCU->getSlice()->getIntraContourFlag() )
-#else
-    if( pcCU->getSlice()->getVpsDepthModesFlag() ||  pcCU->getSlice()->getIVPFlag() )
-#endif
     {
       codeIntraDepth( pcCU, absPartIdx+partOffset*j );
@@ -1227,9 +1201,5 @@
     }
     //mode coding
-#if HHI_TOOL_PARAMETERS_I2_J0107
     if( pcCU->getSlice()->getIntraSdcWedgeFlag() && pcCU->getSlice()->getIntraContourFlag())
-#else
-    if( pcCU->getSlice()->getVpsDepthModesFlag() && pcCU->getSlice()->getIVPFlag())
-#endif
     {
       m_pcBinIf->encodeBin( uiCodeIdx == 0 ? 0 : 1, m_cDepthIntraModeSCModel.get( 0, 0, 0 ) );
@@ -2330,9 +2300,5 @@
   PartSize ePartSize = pcCU->getPartitionSize( uiAbsPartIdx );
   AOF( ePartSize == SIZE_2NxN || ePartSize == SIZE_Nx2N );
-#if HHI_TOOL_PARAMETERS_I2_J0107
   AOF( pcCU->getSlice()->getDepthBasedBlkPartFlag() ); 
-#else
-  AOF( pcCU->getSlice()->getVPS()->getUseDBBP(pcCU->getSlice()->getLayerIdInVps()) );
-#endif
   AOF( !pcCU->getSlice()->getIsDepth() );
   
Index: /trunk/source/Lib/TLibEncoder/TEncSbac.h
===================================================================
--- /trunk/source/Lib/TLibEncoder/TEncSbac.h	(revision 1132)
+++ /trunk/source/Lib/TLibEncoder/TEncSbac.h	(revision 1133)
@@ -94,13 +94,5 @@
 
   Void  codeVPS                 ( TComVPS* pcVPS );
-#if HHI_TOOL_PARAMETERS_I2_J0107
   Void  codeSPS                 ( TComSPS* pcSPS     );
-#else
-#if !H_3D
-  Void  codeSPS                 ( TComSPS* pcSPS     );
-#else
-  Void  codeSPS                 ( TComSPS* pcSPS, Int viewIndex, Bool depthFlag );
-#endif
-#endif
   Void  codePPS                 ( TComPPS* pcPPS     );
   Void  codeSliceHeader         ( TComSlice* pcSlice );
Index: /trunk/source/Lib/TLibEncoder/TEncSearch.cpp
===================================================================
--- /trunk/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 1132)
+++ /trunk/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 1133)
@@ -2881,15 +2881,7 @@
   Int index=0;
   Pel testDepth;
-#if SINGLE_DEPTH_SIMP_J0115
   Pel DepthNeighbours[2];
-#else
-  Pel DepthNeighbours[5];
-#endif
   //construction of depth candidates
-#if SINGLE_DEPTH_SIMP_J0115
   for( Int i = 0; (i < 2)  && (index<SINGLE_DEPTH_MODE_CAND_LIST_SIZE) ; i++ )
-#else
-  for( Int i = 0; (i < 5)  && (index<SINGLE_DEPTH_MODE_CAND_LIST_SIZE) ; i++ )
-#endif
   {
     if(!pcCU->getNeighDepth (0, 0, &testDepth, i))
@@ -2899,14 +2891,4 @@
     DepthNeighbours[index]=testDepth;
     index++;
-#if !SINGLE_DEPTH_SIMP_J0115
-    for(Int j=0;j<index-1;j++)
-    {
-      if( (DepthNeighbours[index-1]==DepthNeighbours[j]))
-      {
-        index--;
-        break;
-      }
-    }
-#endif
   }
 
@@ -3132,8 +3114,8 @@
     if( m_pcEncCfg->getIsDepth() && uiWidth >= DIM_MIN_SIZE && uiWidth <= DIM_MAX_SIZE && uiWidth == uiHeight )
     {
-#if HHI_TOOL_PARAMETERS_I2_J0107
+#if TICKET083_IVPFLAG_FIX
+      if( bOnlyIVP )
+#else
       if( bOnlyIVP && pcCU->getSlice()->getIntraContourFlag() )
-#else
-      if( bOnlyIVP && m_pcEncCfg->getUseIVP() )
 #endif
       {
@@ -3158,9 +3140,5 @@
 
 #if H_3D_DIM_DMM
-#if HHI_TOOL_PARAMETERS_I2_J0107
       if( ( ( m_pcEncCfg->getUseDMM() &&  pcCU->getSlice()->getIntraSdcWedgeFlag() )  || pcCU->getSlice()->getIntraContourFlag() )
-#else
-      if( ( m_pcEncCfg->getUseDMM() || m_pcEncCfg->getUseIVP() )
-#endif
 #if H_3D_FAST_DEPTH_INTRA
          && (uiRdModeList[0] != PLANAR_IDX || varCU >= varThreshold)
@@ -3169,27 +3147,15 @@
       {
         UInt uiStart, uiEnd;
-#if HHI_TOOL_PARAMETERS_I2_J0107
         if( ( m_pcEncCfg->getUseDMM() &&  pcCU->getSlice()->getIntraSdcWedgeFlag() ) &&  pcCU->getSlice()->getIntraContourFlag() )
-#else
-        if( m_pcEncCfg->getUseDMM() &&  m_pcEncCfg->getUseIVP() )
-#endif
         {
           uiStart = 0;
           uiEnd   = 2;
         }
-#if HHI_TOOL_PARAMETERS_I2_J0107
         else if( ( m_pcEncCfg->getUseDMM() &&  pcCU->getSlice()->getIntraSdcWedgeFlag() ) )
-#else
-        else if( m_pcEncCfg->getUseDMM() )
-#endif
         {
           uiStart = 0;
           uiEnd   = 1;
         }
-#if HHI_TOOL_PARAMETERS_I2_J0107
         else if( pcCU->getSlice()->getIntraContourFlag() )
-#else
-        else if( m_pcEncCfg->getUseIVP() )
-#endif
         {
           uiStart = 1;
@@ -3329,9 +3295,5 @@
 #if H_3D_DIM_SDC
 #if H_3D_FAST_INTRA_SDC
-#if HHI_TOOL_PARAMETERS_I2_J0107
       Bool bTestSDC = ( ( m_pcEncCfg->getUseSDC() &&  pcCU->getSlice()->getIntraSdcWedgeFlag() ) && pcCU->getSDCAvailable(uiPartOffset) && uiMode >= numModesForFullRD);
-#else
-      Bool bTestSDC = ( m_pcEncCfg->getUseSDC() && pcCU->getSDCAvailable(uiPartOffset) && uiMode >= numModesForFullRD);
-#endif
 #else
       Bool bTestSDC = ( m_pcEncCfg->getUseSDC() && pcCU->getSDCAvailable(uiPartOffset) );
@@ -4177,17 +4139,4 @@
       }
 #endif
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-      if( uiMergeCand == pcCU->getUseDDDCandIdx() )
-      {
-        pcCU->setUseDDD( true, uiAbsPartIdx, iPUIdx, pcCU->getDepth( uiAbsPartIdx ) );
-        pcCU->setDDDepthSubParts( pcCU->getDDTmpDepth(), uiAbsPartIdx, iPUIdx, pcCU->getDepth( uiAbsPartIdx ) );
-      }
-      else
-      {
-        pcCU->setUseDDD( false, uiAbsPartIdx, iPUIdx, pcCU->getDepth( uiAbsPartIdx ) );
-      }
-#endif
-#endif
 
       xGetInterPredictionError( pcCU, pcYuvOrg, iPUIdx, uiCostCand, m_pcEncCfg->getUseHADME() );
@@ -4875,19 +4824,4 @@
 #if H_3D_VSP
         pcCU->setVSPFlagSubParts( vspFlag[uiMRGIndex], uiPartAddr, iPartIdx, pcCU->getDepth( uiPartAddr ) );
-#endif
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-        if( uiMRGIndex == pcCU->getUseDDDCandIdx() )
-        {
-            assert( vspFlag[uiMRGIndex]     == 0 );
-            assert( bSPIVMPFlag[uiMRGIndex] == 0 );
-            pcCU->setUseDDD( true, uiPartAddr, iPartIdx, pcCU->getDepth( uiPartAddr ) );
-            pcCU->setDDDepthSubParts( pcCU->getDDTmpDepth(), uiPartAddr, iPartIdx, pcCU->getDepth( uiPartAddr ) );
-        }
-        else
-        {
-            pcCU->setUseDDD( false, uiPartAddr, iPartIdx, pcCU->getDepth( uiPartAddr ) );
-        }
-#endif
 #endif
 #if H_3D_SPIVMP
@@ -4967,9 +4901,4 @@
         pcCU->setSPIVMPFlagSubParts(0, uiPartAddr, iPartIdx, pcCU->getDepth( uiPartAddr ) ); 
 #endif
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-        pcCU->setUseDDD( false, uiPartAddr, iPartIdx, pcCU->getDepth( uiPartAddr ) );
-#endif
-#endif
         // set ME result
         pcCU->setMergeFlagSubParts( false,        uiPartAddr, iPartIdx, pcCU->getDepth( uiPartAddr ) );
@@ -5353,16 +5282,5 @@
 #endif
 #if H_3D_INTER_SDC
-#if HHI_TOOL_PARAMETERS_I2_J0107  
    pcPatternKey->setSDCMRSADFlag( pcCU->getSlice()->getInterSdcFlag() );
-#else
-  if ( pcCU->getSlice()->getIsDepth() && pcCU->getSlice()->getVPS()->getInterSDCFlag( pcCU->getSlice()->getLayerIdInVps() ) )
-  {
-    pcPatternKey->setSDCMRSADFlag( true );
-  } 
-  else
-  {
-    pcPatternKey->setSDCMRSADFlag( false );
-  }
-#endif
 #endif
 
Index: /trunk/source/Lib/TLibEncoder/TEncSlice.cpp
===================================================================
--- /trunk/source/Lib/TLibEncoder/TEncSlice.cpp	(revision 1132)
+++ /trunk/source/Lib/TLibEncoder/TEncSlice.cpp	(revision 1133)
@@ -215,8 +215,6 @@
   rpcSlice->setPicOutputFlag( true );
   rpcSlice->setPOC( pocCurr );
-#if HHI_TOOL_PARAMETERS_I2_J0107
 #if H_3D
   rpcSlice->init3dToolParameters(); 
-#endif
 #endif
 #if H_3D_IC
@@ -613,24 +611,5 @@
   rpcSlice->setSliceSegmentArgument ( m_pcCfg->getSliceSegmentArgument() );
 #if H_3D_IV_MERGE
-#if HHI_TOOL_PARAMETERS_I2_J0107
-#if ALGIN_J0107_J0059
   rpcSlice->setMaxNumMergeCand      ( m_pcCfg->getMaxNumMergeCand()   + ( ( rpcSlice->getMpiFlag( ) || rpcSlice->getIvMvPredFlag( ) || rpcSlice->getViewSynthesisPredFlag( )   ) ? 1 : 0 ));
-#else
-  rpcSlice->setMaxNumMergeCand      ( m_pcCfg->getMaxNumMergeCand()   + ( ( rpcSlice->getMpiFlag( ) || rpcSlice->getIvMvPredFlag( ) ) ? 1 : 0 ));
-#endif
-#else
-  if(rpcSlice->getIsDepth())
-  {
-    rpcSlice->setMaxNumMergeCand      ( m_pcCfg->getMaxNumMergeCand()   + ( ( rpcSlice->getVPS()->getMPIFlag( rpcSlice->getLayerIdInVps() ) || rpcSlice->getVPS()->getIvMvPredFlag( rpcSlice->getLayerIdInVps() ) ) ? 1 : 0 ) );
-  }
-  else
-  {
-#if MTK_MRG_LIST_SIZE_CLEANUP_J0059
-    rpcSlice->setMaxNumMergeCand      ( m_pcCfg->getMaxNumMergeCand()   + ( rpcSlice->getVPS()->getIvMvPredFlag( rpcSlice->getLayerIdInVps() )  || rpcSlice->getVPS()->getViewSynthesisPredFlag( rpcSlice->getLayerIdInVps() ) ? 1 : 0 ) );
-#else
-    rpcSlice->setMaxNumMergeCand      ( m_pcCfg->getMaxNumMergeCand()   + ( rpcSlice->getVPS()->getIvMvPredFlag( rpcSlice->getLayerIdInVps() ) ? 1 : 0 ) );
-#endif
-  }
-#endif
 #else
   rpcSlice->setMaxNumMergeCand        ( m_pcCfg->getMaxNumMergeCand()        );
@@ -1028,36 +1007,4 @@
     }
   }
-#if LGE_DEFAULT_DV_J0046 && !SEC_ARP_VIEW_REF_CHECK_J0037 && !SEC_DBBP_VIEW_REF_CHECK_J0037
-  pcSlice->setDefaultRefViewIdx( -1 );
-  pcSlice->setDefaultRefViewIdxAvailableFlag( false ); 
-
-  Int valid = 0;
-  Int viewIndex = 0;
-  for( UInt uiBId = 0; uiBId < pcSlice->getViewIndex() && valid==0; uiBId++ )
-  {
-      UInt        uiBaseId    = uiBId;
-      TComPic*    pcBasePic   = pcSlice->getIvPic( false, uiBaseId );
-      for( Int iRefListId = 0; ( iRefListId < (pcSlice->isInterB()? 2:1) ) && !pcSlice->isIntra() && valid==0; iRefListId++ )
-      {
-          RefPicList  eRefPicListTest = RefPicList( iRefListId );
-          Int         iNumRefPics = pcSlice->getNumRefIdx( eRefPicListTest ) ;
-          for( Int iRefIndex = 0; iRefIndex < iNumRefPics; iRefIndex++ )
-          { 
-              if(pcBasePic->getPOC() == pcSlice->getRefPic( eRefPicListTest, iRefIndex )->getPOC() 
-                  && pcBasePic->getViewIndex() == pcSlice->getRefPic( eRefPicListTest, iRefIndex )->getViewIndex())
-              {
-                  valid=1;
-                  viewIndex = uiBaseId;
-                  break;
-              }
-          }
-      }
-  }
-  if( valid )
-  {
-      pcSlice->setDefaultRefViewIdx( viewIndex );
-      pcSlice->setDefaultRefViewIdxAvailableFlag( true );   
-  }
-#endif
 
   // for every CU in slice
Index: /trunk/source/Lib/TLibEncoder/TEncSlice.h
===================================================================
--- /trunk/source/Lib/TLibEncoder/TEncSlice.h	(revision 1132)
+++ /trunk/source/Lib/TLibEncoder/TEncSlice.h	(revision 1133)
@@ -107,11 +107,4 @@
   UInt                    m_uiSliceIdx;
   std::vector<TEncSbac*> CTXMem;
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-  Int          m_iDDDScale;
-  Int          m_iDDDOffset;
-  UInt         m_uiDDDPrecision;
-#endif
-#endif
 public:
   TEncSlice();
@@ -147,9 +140,4 @@
   Void      initCtxMem( UInt i );
   Void      setCtxMem( TEncSbac* sb, Int b )   { CTXMem[b] = sb; }
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-  Void setDDDPar( Int iScale, Int iOffset, UInt uiPrecision ){ m_iDDDScale = iScale; m_iDDDOffset = iOffset; m_uiDDDPrecision = uiPrecision; }
-#endif
-#endif
 
 private:
Index: /trunk/source/Lib/TLibEncoder/TEncTop.cpp
===================================================================
--- /trunk/source/Lib/TLibEncoder/TEncTop.cpp	(revision 1132)
+++ /trunk/source/Lib/TLibEncoder/TEncTop.cpp	(revision 1133)
@@ -896,11 +896,7 @@
 #if H_MV
   m_cPPS.setLayerId( getLayerId() );
-#if HHI_DEPENDENCY_SIGNALLING_I1_J0107
 #if H_3D
   // Check if this condition is still correct
   if( getVPS()->getNumRefListLayers( getLayerId() ) > 0 )
-#else
-  if( getVPS()->getNumDirectRefLayers( getLayerId() ) > 0 )
-#endif
 #else
   if( getVPS()->getNumDirectRefLayers( getLayerId() ) > 0 )
Index: /trunk/source/Lib/TLibEncoder/TEncTop.h
===================================================================
--- /trunk/source/Lib/TLibEncoder/TEncTop.h	(revision 1132)
+++ /trunk/source/Lib/TLibEncoder/TEncTop.h	(revision 1133)
@@ -270,8 +270,6 @@
   Void                    setIvPicLists         ( TComPicLists* picLists) { m_ivPicLists = picLists; }
 #endif
-#if HHI_TOOL_PARAMETERS_I2_J0107
 #if H_3D
   Void                    setSps3dExtension     ( TComSps3dExtension sps3dExtension ) { m_cSPS.setSps3dExtension( sps3dExtension );  };
-#endif
 #endif
 #if H_3D_IC
Index: /trunk/source/Lib/TLibExtractor/TExtrTop.cpp
===================================================================
--- /trunk/source/Lib/TLibExtractor/TExtrTop.cpp	(revision 1132)
+++ /trunk/source/Lib/TLibExtractor/TExtrTop.cpp	(revision 1133)
@@ -74,10 +74,5 @@
 #if H_3D
 
-#if HHI_TOOL_PARAMETERS_I2_J0107
      m_cEntropyDecoder   .decodeSPS( &cSPS );
-#else
-      Int layerIdInVPS = m_cVPS.getLayerIdInVps( uiLayerId ); 
-     m_cEntropyDecoder   .decodeSPS( &cSPS, m_cVPS.getViewIndex( layerIdInVPS ), ( m_cVPS.getDepthId( layerIdInVPS ) == 1 ) );
-#endif
 #else
      m_cEntropyDecoder   .decodeSPS( &cSPS );
